Bug 605610 - Review Request: rubygem-chronic - natural language date/time parser written in pure Ruby
Summary: Review Request: rubygem-chronic - natural language date/time parser written ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 11:45 UTC by Shreyank Gupta
Modified: 2010-07-02 07:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 07:44:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Shreyank Gupta 2010-06-18 11:45:18 UTC
Spec URL: http://shreyankg.fedorapeople.org/packaging/chronic/rubygem-chronic.spec
SRPM URL: http://shreyankg.fedorapeople.org/packaging/chronic/rubygem-chronic-0.2.3-1.fc13.src.rpm
Description: Chronic is a natural language date/time parser written in pure Ruby.

Comment 1 Mamoru TASAKA 2010-06-25 17:07:30 UTC
For 0.2.3-1

* (Build)Requires
  - Build fails without additional "BR: rubygem(rake), rubygem(hoe)"

  - On the other hand, while installed gemspec file says rubygem(hoe)
    is needed for Requires, however as far as I checked the codes,
    hoe is needed in Rakefile and hoe does not seem to be needed on
    runtime.
    I think hoe dependency can be removed from installed gemspec and
    "R: rubygem(hoe)" can be removed.

* Test related issue
  - Would you check if the (ignored) test failure and warnings can
    really be ignored?
    - Especially I think that it is better that you fix the warning
      of "warning: instance variable @foo not initialized".

  - Well, it may be more readable and preferable to create a patch rather
    than to specify the lines to be deleted by sed, however not a blocker.

Comment 2 Shreyank Gupta 2010-06-29 11:22:38 UTC
Updated:
--------

Spec URL:
http://shreyankg.fedorapeople.org/packaging/chronic/rubygem-chronic.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/chronic/rubygem-chronic-0.2.3-2.fc13.src.rpm

Notes:
------

 * See ChangeLog

 * I contacted the upstream, he is not replying w.r.t the warnings and errors. Personally I guess the warnings can be ignored as they are mostly about uninitialised variables. Also the failures are few in the stable version up for packaging, and more in number in the git snapshot. I guess we need to overlook that if we want to package this for Fedora.

 * I intentionally did not create a patch because I do not want to maintain another source file for test failures.


Koji Scratch Build:
-------------------

http://koji.fedoraproject.org/koji/taskinfo?taskID=2280329

Comment 3 Shreyank Gupta 2010-06-29 12:48:33 UTC
Updated Koji Scratch Build:
---------------------------

http://koji.fedoraproject.org/koji/taskinfo?taskID=2280492

Don't know why the last one failed.

Comment 4 Mamoru TASAKA 2010-06-29 16:33:01 UTC
Well, once test_parse_guess_dates failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2280925
however, on the next trial scratch build, this test succeeded:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2280981

Not sure what is happening here, however I won't think
this is a blocker.

-------------------------------------------------------------
    This package (rubygem-chronic) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 5 Shreyank Gupta 2010-06-30 09:12:25 UTC
New Package CVS Request
=======================
Package Name: rubygem-chronic
Short Description: natural language date/time parser written in pure Ruby
Owners: shreyankg
Branches: F-13

Comment 6 Jason Tibbitts 2010-07-01 04:54:35 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-07-01 10:22:48 UTC
rubygem-chronic-0.2.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-chronic-0.2.3-2.fc13

Comment 8 Fedora Update System 2010-07-01 18:39:57 UTC
rubygem-chronic-0.2.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-chronic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-chronic-0.2.3-2.fc13

Comment 9 Mamoru TASAKA 2010-07-02 07:44:23 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.